Skip to content
Proud to collaborate with Microsoft for Startups

docusign.template-locks.delete-template-lock ​

Deletes the lock from the specified template. The user deleting the lock must be the same user who locked the template. You must include the X-DocuSign-Edit header as described in TemplateLocks: create. This method takes an optional query parameter that lets you specify whether changes made while the template was locked are kept or discarded. | Query Parameter | Description | | :-------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | save_changes | When true (the default), any changes made while the lock was active are saved. When false, any changes made while the template was locked are discarded. | ### Related topics - Common API Tasks: Locking and unlocking envelopes

Deletes a template lock.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
lockdurationinsecondsstringNo—The number of seconds to lock the envelope for editing. Must be greater than 0 seconds.
lockedbyappstringNo—A friendly name of the application used to lock the envelope. Will be used in error messages to the user when lock conflicts occur.
locktypestringNo—The type of lock. Currently edit is the only supported type.
templatepasswordstringNo—The password for the template. If you are using a lock for a template that has a password or an envelope that is based on a template that has a password, you must enter the templatePassword to save the changes.
usescratchpadstringNo—When true, a scratchpad is used to edit information.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
lockdurationinsecondsstringNo—The number of seconds to lock the envelope for editing. Must be greater than 0 seconds.
lockedbyappstringNo—A friendly name of the application used to lock the envelope. Will be used in error messages to the user when lock conflicts occur.
locktypestringNo—The type of lock. Currently edit is the only supported type.
templatepasswordstringNo—The password for the template. If you are using a lock for a template that has a password or an envelope that is based on a template that has a password, you must enter the templatePassword to save the changes.
usescratchpadstringNo—When true, a scratchpad is used to edit information.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call DELETE /v2.1/accounts/{accountId}/templates/{templateId}/lock
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform DELETE /v2.1/accounts/{accountId}/templates/{templateId}/lock
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.template-locks.delete-template-lock",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "templateid": "value"
  }
}